org.apache.tomcat.util.descriptor.web

## Class JspConfigDescriptorImpl

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.JspConfigDescriptorImpl

- All Implemented Interfaces:
    JspConfigDescriptor

      public class JspConfigDescriptorImpl
      extends Object
      implements JspConfigDescriptor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspConfigDescriptorImpl(Collection<JspPropertyGroupDescriptor> jspPropertyGroups, Collection<TaglibDescriptor> taglibs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<JspPropertyGroupDescriptor>` | `getJspPropertyGroups()`
    `Collection<TaglibDescriptor>` | `getTaglibs()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JspConfigDescriptorImpl

          public JspConfigDescriptorImpl(Collection<JspPropertyGroupDescriptor> jspPropertyGroups,
                                 Collection<TaglibDescriptor> taglibs)

  - ### Method Detail

    - #### getJspPropertyGroups

          public Collection<JspPropertyGroupDescriptor> getJspPropertyGroups()

      Specified by:
        `getJspPropertyGroups` in interface `JspConfigDescriptor`

    - #### getTaglibs

          public Collection<TaglibDescriptor> getTaglibs()

      Specified by:
        `getTaglibs` in interface `JspConfigDescriptor`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.